Subject: Re: bug#54100: 29.0.50; Allow project-buffers to ignore some buffers

From: Manuel Uberti <[email-masked]>
Date: Wed, 23 Feb 2022 10:55:24 +0100

On 23/02/22 10:48, Manuel Uberti wrote:
> I attached a patch. Let me know if I missed something or am approach the matter 
> in a wrong way.
> 
> To try my code I used the following predicate (mu-ignored-buffers is in the 
> first message of this ticket):
> 
> (defun mu-buffer-predicate (buffer)
>    "Check if BUFFER is NOT a member of `mu-ignored-buffers'."
>    (not (seq-contains-p mu-ignored-buffers
>                         (buffer-name (cdr buffer))
>                         #'string-match-p)))
> 
> And this setting:
> 
> (setq-default project-switch-to-buffer-conditions '(mu-buffer-predicate))
> 
> Note that I didn't bump the package-version on 
> `project-switch-to-buffer-conditions' because I don't know if it is required.

It also works with `mu-buffer-predicate' using this instead:

(not (seq-contains-p mu-ignored-buffers (car buffer) #'string-match-p))

-- 
Manuel Uberti
www.manueluberti.eu